[arch-commits] Commit in epiphany/repos/extra-x86_64 (PKGBUILD bug605860.patch)
Jan de Groot
jgc at archlinux.org
Sun Feb 21 13:27:07 UTC 2010
Date: Sunday, February 21, 2010 @ 08:27:07
Author: jgc
Revision: 69605
Fix bug 18375
Added:
epiphany/repos/extra-x86_64/bug605860.patch
Modified:
epiphany/repos/extra-x86_64/PKGBUILD
-----------------+
PKGBUILD | 9 ++++++---
bug605860.patch | 25 +++++++++++++++++++++++++
2 files changed, 31 insertions(+), 3 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2010-02-21 13:25:45 UTC (rev 69604)
+++ PKGBUILD 2010-02-21 13:27:07 UTC (rev 69605)
@@ -3,7 +3,7 @@
pkgname=epiphany
pkgver=2.28.2
-pkgrel=1
+pkgrel=2
install=epiphany.install
pkgdesc="A GNOME2 web browser based on the WebKit rendering engine."
arch=(i686 x86_64)
@@ -14,13 +14,16 @@
groups=('gnome')
url="http://www.gnome.org/projects/epiphany/"
source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.28/${pkgname}-${pkgver}.tar.bz2
- ephy-download-mime.patch)
+ ephy-download-mime.patch
+ bug605860.patch)
sha256sums=('98b7a60bb42fa5c8ebdec1bf623319ae730e5674ddbcfaf51649093adb079490'
- '3e8a13d14afd5fb16486fffbafdd8bc47b117d948e13870712bd067586133728')
+ '3e8a13d14afd5fb16486fffbafdd8bc47b117d948e13870712bd067586133728'
+ '52bb77728780eaa8998b769d84beb89f97cb4476db265b7c38a1c2e6c548a4a3')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
patch -Np1 -i "${srcdir}/ephy-download-mime.patch" || return 1
+ patch -Np1 -i "${srcdir}/bug605860.patch" || return 1
./configure --prefix=/usr --sysconfdir=/etc \
--localstatedir=/var \
--disable-scrollkeeper \
Added: bug605860.patch
===================================================================
--- bug605860.patch (rev 0)
+++ bug605860.patch 2010-02-21 13:27:07 UTC (rev 69605)
@@ -0,0 +1,25 @@
+From 7ba0a952949410eeb2b0ae81427d31697bbd7886 Mon Sep 17 00:00:00 2001
+From: Diego Escalante Urrelo <descalante at igalia.com>
+Date: Wed, 13 Jan 2010 23:43:58 +0000
+Subject: Use g_mkdir_with_parents instead of just mkdir
+
+This ensures that if .gnome2/ doesn't exist, we don't fail instead of just
+creating the dir.
+
+Bug #605860
+---
+diff --git a/lib/ephy-file-helpers.c b/lib/ephy-file-helpers.c
+index 8777c96..271d362 100644
+--- a/lib/ephy-file-helpers.c
++++ b/lib/ephy-file-helpers.c
+@@ -372,7 +372,7 @@ ephy_ensure_dir_exists (const char *dir,
+ }
+
+ if (!g_file_test (dir, G_FILE_TEST_EXISTS) &&
+- mkdir (dir, 488) != 0)
++ g_mkdir_with_parents (dir, 488) != 0)
+ {
+ g_set_error (error,
+ EPHY_FILE_HELPERS_ERROR_QUARK,
+--
+cgit v0.8.3.1
More information about the arch-commits
mailing list